library emoticons.unicodes;

var unicode_map = {
	":hash:":"\u{0023}\u{20E3}",
	":zero:":"\u{0030}\u{20E3}",
	":one:":"\u{0031}\u{20E3}",
	":two:":"\u{0032}\u{20E3}",
	":three:":"\u{0033}\u{20E3}",
	":four:":"\u{0034}\u{20E3}",
	":five:":"\u{0035}\u{20E3}",
	":six:":"\u{0036}\u{20E3}",
	":seven:":"\u{0037}\u{20E3}",
	":eight:":"\u{0038}\u{20E3}",
	":nine:":"\u{0039}\u{20E3}",
	":copyright:":"\u{00A9}",
	":registered:":"\u{00AE}",
	":U+2002:":"\u{2002}",
	":U+2003:":"\u{2003}",
	":U+2005:":"\u{2005}",
	":bangbang:":"\u{203C}",
	":interrobang:":"\u{2049}",
	":tm:":"\u{2122}",
	":information_source:":"\u{2139}",
	":left_right_arrow:":"\u{2194}",
	":arrow_up_down:":"\u{2195}",
	":arrow_upper_left:":"\u{2196}",
	":arrow_upper_right:":"\u{2197}",
	":arrow_lower_right:":"\u{2198}",
	":arrow_lower_left:":"\u{2199}",
	":leftwards_arrow_with_hook:":"\u{21A9}",
	":arrow_right_hook:":"\u{21AA}",
	":watch:":"\u{231A}",
	":hourglass:":"\u{231B}",
	":fast_forward:":"\u{23E9}",
	":rewind:":"\u{23EA}",
	":arrow_double_up:":"\u{23EB}",
	":arrow_double_down:":"\u{23EC}",
	":alarm_clock:":"\u{23F0}",
	":hourglass_flowing_sand:":"\u{23F3}",
	":m:":"\u{24C2}",
	":black_small_square:":"\u{25AA}",
	":white_small_square:":"\u{25AB}",
	":arrow_forward:":"\u{25B6}",
	":arrow_backward:":"\u{25C0}",
	":white_medium_square:":"\u{25FB}",
	":black_medium_square:":"\u{25FC}",
	":white_medium_small_square:":"\u{25FD}",
	":black_medium_small_square:":"\u{25FE}",
	":sunny:":"\u{2600}",
	":cloud:":"\u{2601}",
	":telephone:":"\u{260E}",
	":phone :":"\u{260E}",
	":ballot_box_with_check:":"\u{2611}",
	":umbrella:":"\u{2614}",
	":coffee:":"\u{2615}",
	":point_up:":"\u{261D}",
	":relaxed:":"\u{263A}",
	":aries:":"\u{2648}",
	":taurus:":"\u{2649}",
	":gemini:":"\u{264A}",
	":cancer:":"\u{264B}",
	":leo:":"\u{264C}",
	":virgo:":"\u{264D}",
	":libra:":"\u{264E}",
	":scorpius:":"\u{264F}",
	":sagittarius:":"\u{2650}",
	":capricorn:":"\u{2651}",
	":aquarius:":"\u{2652}",
	":pisces:":"\u{2653}",
	":spades:":"\u{2660}",
	":clubs:":"\u{2663}",
	":hearts:":"\u{2665}",
	":diamonds:":"\u{2666}",
	":hotsprings:":"\u{2668}",
	":recycle:":"\u{267B}",
	":wheelchair:":"\u{267F}",
	":anchor:":"\u{2693}",
	":warning:":"\u{26A0}",
	":zap:":"\u{26A1}",
	":white_circle:":"\u{26AA}",
	":black_circle:":"\u{26AB}",
	":soccer:":"\u{26BD}",
	":baseball:":"\u{26BE}",
	":snowman:":"\u{26C4}",
	":partly_sunny:":"\u{26C5}",
	":ophiuchus:":"\u{26CE}",
	":no_entry:":"\u{26D4}",
	":church:":"\u{26EA}",
	":fountain:":"\u{26F2}",
	":golf:":"\u{26F3}",
	":sailboat:":"\u{26F5}",
	":boat :":"\u{26F5}",
	":tent:":"\u{26FA}",
	":fuelpump:":"\u{26FD}",
	":scissors:":"\u{2702}",
	":white_check_mark:":"\u{2705}",
	":airplane:":"\u{2708}",
	":envelope:":"\u{2709}",
	":email :":"\u{2709}",
	":fist:":"\u{270A}",
	":raised_hand:":"\u{270B}",
	":hand :":"\u{270B}",
	":v:":"\u{270C}",
	":pencil2:":"\u{270F}",
	":black_nib:":"\u{2712}",
	":heavy_check_mark:":"\u{2714}",
	":heavy_multiplication_x:":"\u{2716}",
	":sparkles:":"\u{2728}",
	":eight_spoked_asterisk:":"\u{2733}",
	":eight_pointed_black_star:":"\u{2734}",
	":snowflake:":"\u{2744}",
	":sparkle:":"\u{2747}",
	":x:":"\u{274C}",
	":negative_squared_cross_mark:":"\u{274E}",
	":question:":"\u{2753}",
	":grey_question:":"\u{2754}",
	":grey_exclamation:":"\u{2755}",
	":exclamation:":"\u{2757}",
	":heavy_exclamation_mark :":"\u{2757}",
	":heart:":"\u{2764}",
	":heavy_plus_sign:":"\u{2795}",
	":heavy_minus_sign:":"\u{2796}",
	":heavy_division_sign:":"\u{2797}",
	":arrow_right:":"\u{27A1}",
	":curly_loop:":"\u{27B0}",
	":arrow_heading_up:":"\u{2934}",
	":arrow_heading_down:":"\u{2935}",
	":arrow_left:":"\u{2B05}",
	":arrow_up:":"\u{2B06}",
	":arrow_down:":"\u{2B07}",
	":black_large_square:":"\u{2B1B}",
	":white_large_square:":"\u{2B1C}",
	":star:":"\u{2B50}",
	":o:":"\u{2B55}",
	":wavy_dash:":"\u{3030}",
	":part_alternation_mark:":"\u{303D}",
	":congratulations:":"\u{3297}",
	":secret:":"\u{3299}",
	":mahjong:":"\u{1F004}",
	":black_joker:":"\u{1F0CF}",
	":a:":"\u{1F170}",
	":b:":"\u{1F171}",
	":o2:":"\u{1F17E}",
	":parking:":"\u{1F17F}",
	":ab:":"\u{1F18E}",
	":cl:":"\u{1F191}",
	":cool:":"\u{1F192}",
	":free:":"\u{1F193}",
	":id:":"\u{1F194}",
	":new:":"\u{1F195}",
	":ng:":"\u{1F196}",
	":ok:":"\u{1F197}",
	":sos:":"\u{1F198}",
	":up:":"\u{1F199}",
	":vs:":"\u{1F19A}",
	":cn:":"\u{1F1E8}\u{1F1F3}",
	":de:":"\u{1F1E9}\u{1F1EA}",
	":es:":"\u{1F1EA}\u{1F1F8}",
	":fr:":"\u{1F1EB}\u{1F1F7}",
	":uk:":"\u{1F1EC}\u{1F1E7}",
	":gb :":"\u{1F1EC}\u{1F1E7}",
	":it:":"\u{1F1EE}\u{1F1F9}",
	":jp:":"\u{1F1EF}\u{1F1F5}",
	":kr:":"\u{1F1F0}\u{1F1F7}",
	":ru:":"\u{1F1F7}\u{1F1FA}",
	":us:":"\u{1F1FA}\u{1F1F8}",
	":koko:":"\u{1F201}",
	":sa:":"\u{1F202}",
	":u7121:":"\u{1F21A}",
	":u6307:":"\u{1F22F}",
	":u7981:":"\u{1F232}",
	":u7a7a:":"\u{1F233}",
	":u5408:":"\u{1F234}",
	":u6e80:":"\u{1F235}",
	":u6709:":"\u{1F236}",
	":u6708:":"\u{1F237}",
	":u7533:":"\u{1F238}",
	":u5272:":"\u{1F239}",
	":u55b6:":"\u{1F23A}",
	":ideograph_advantage:":"\u{1F250}",
	":accept:":"\u{1F251}",
	":cyclone:":"\u{1F300}",
	":foggy:":"\u{1F301}",
	":closed_umbrella:":"\u{1F302}",
	":night_with_stars:":"\u{1F303}",
	":sunrise_over_mountains:":"\u{1F304}",
	":sunrise:":"\u{1F305}",
	":city_sunset:":"\u{1F306}",
	":city_sunrise:":"\u{1F307}",
	":rainbow:":"\u{1F308}",
	":bridge_at_night:":"\u{1F309}",
	":ocean:":"\u{1F30A}",
	":volcano:":"\u{1F30B}",
	":milky_way:":"\u{1F30C}",
	":earth_asia:":"\u{1F30F}",
	":new_moon:":"\u{1F311}",
	":first_quarter_moon:":"\u{1F313}",
	":waxing_gibbous_moon:":"\u{1F314}",
	":moon :":"\u{1F314}",
	":full_moon:":"\u{1F315}",
	":crescent_moon:":"\u{1F319}",
	":first_quarter_moon_with_face:":"\u{1F31B}",
	":star2:":"\u{1F31F}",
	":stars:":"\u{1F320}",
	":chestnut:":"\u{1F330}",
	":seedling:":"\u{1F331}",
	":palm_tree:":"\u{1F334}",
	":cactus:":"\u{1F335}",
	":tulip:":"\u{1F337}",
	":cherry_blossom:":"\u{1F338}",
	":rose:":"\u{1F339}",
	":hibiscus:":"\u{1F33A}",
	":sunflower:":"\u{1F33B}",
	":blossom:":"\u{1F33C}",
	":corn:":"\u{1F33D}",
	":ear_of_rice:":"\u{1F33E}",
	":herb:":"\u{1F33F}",
	":four_leaf_clover:":"\u{1F340}",
	":maple_leaf:":"\u{1F341}",
	":fallen_leaf:":"\u{1F342}",
	":leaves:":"\u{1F343}",
	":mushroom:":"\u{1F344}",
	":tomato:":"\u{1F345}",
	":eggplant:":"\u{1F346}",
	":grapes:":"\u{1F347}",
	":melon:":"\u{1F348}",
	":watermelon:":"\u{1F349}",
	":tangerine:":"\u{1F34A}",
	":banana:":"\u{1F34C}",
	":pineapple:":"\u{1F34D}",
	":apple:":"\u{1F34E}",
	":green_apple:":"\u{1F34F}",
	":peach:":"\u{1F351}",
	":cherries:":"\u{1F352}",
	":strawberry:":"\u{1F353}",
	":hamburger:":"\u{1F354}",
	":pizza:":"\u{1F355}",
	":meat_on_bone:":"\u{1F356}",
	":poultry_leg:":"\u{1F357}",
	":rice_cracker:":"\u{1F358}",
	":rice_ball:":"\u{1F359}",
	":rice:":"\u{1F35A}",
	":curry:":"\u{1F35B}",
	":ramen:":"\u{1F35C}",
	":spaghetti:":"\u{1F35D}",
	":bread:":"\u{1F35E}",
	":fries:":"\u{1F35F}",
	":sweet_potato:":"\u{1F360}",
	":dango:":"\u{1F361}",
	":oden:":"\u{1F362}",
	":sushi:":"\u{1F363}",
	":fried_shrimp:":"\u{1F364}",
	":fish_cake:":"\u{1F365}",
	":icecream:":"\u{1F366}",
	":shaved_ice:":"\u{1F367}",
	":ice_cream:":"\u{1F368}",
	":doughnut:":"\u{1F369}",
	":cookie:":"\u{1F36A}",
	":chocolate_bar:":"\u{1F36B}",
	":candy:":"\u{1F36C}",
	":lollipop:":"\u{1F36D}",
	":custard:":"\u{1F36E}",
	":honey_pot:":"\u{1F36F}",
	":cake:":"\u{1F370}",
	":bento:":"\u{1F371}",
	":stew:":"\u{1F372}",
	":egg:":"\u{1F373}",
	":fork_and_knife:":"\u{1F374}",
	":tea:":"\u{1F375}",
	":sake:":"\u{1F376}",
	":wine_glass:":"\u{1F377}",
	":cocktail:":"\u{1F378}",
	":tropical_drink:":"\u{1F379}",
	":beer:":"\u{1F37A}",
	":beers:":"\u{1F37B}",
	":ribbon:":"\u{1F380}",
	":gift:":"\u{1F381}",
	":birthday:":"\u{1F382}",
	":jack_o_lantern:":"\u{1F383}",
	":christmas_tree:":"\u{1F384}",
	":santa:":"\u{1F385}",
	":fireworks:":"\u{1F386}",
	":sparkler:":"\u{1F387}",
	":balloon:":"\u{1F388}",
	":tada:":"\u{1F389}",
	":confetti_ball:":"\u{1F38A}",
	":tanabata_tree:":"\u{1F38B}",
	":crossed_flags:":"\u{1F38C}",
	":bamboo:":"\u{1F38D}",
	":dolls:":"\u{1F38E}",
	":flags:":"\u{1F38F}",
	":wind_chime:":"\u{1F390}",
	":rice_scene:":"\u{1F391}",
	":school_satchel:":"\u{1F392}",
	":mortar_board:":"\u{1F393}",
	":carousel_horse:":"\u{1F3A0}",
	":ferris_wheel:":"\u{1F3A1}",
	":roller_coaster:":"\u{1F3A2}",
	":fishing_pole_and_fish:":"\u{1F3A3}",
	":microphone:":"\u{1F3A4}",
	":movie_camera:":"\u{1F3A5}",
	":cinema:":"\u{1F3A6}",
	":headphones:":"\u{1F3A7}",
	":art:":"\u{1F3A8}",
	":tophat:":"\u{1F3A9}",
	":circus_tent:":"\u{1F3AA}",
	":ticket:":"\u{1F3AB}",
	":clapper:":"\u{1F3AC}",
	":performing_arts:":"\u{1F3AD}",
	":video_game:":"\u{1F3AE}",
	":dart:":"\u{1F3AF}",
	":slot_machine:":"\u{1F3B0}",
	":8ball:":"\u{1F3B1}",
	":game_die:":"\u{1F3B2}",
	":bowling:":"\u{1F3B3}",
	":flower_playing_cards:":"\u{1F3B4}",
	":musical_note:":"\u{1F3B5}",
	":notes:":"\u{1F3B6}",
	":saxophone:":"\u{1F3B7}",
	":guitar:":"\u{1F3B8}",
	":musical_keyboard:":"\u{1F3B9}",
	":trumpet:":"\u{1F3BA}",
	":violin:":"\u{1F3BB}",
	":musical_score:":"\u{1F3BC}",
	":running_shirt_with_sash:":"\u{1F3BD}",
	":tennis:":"\u{1F3BE}",
	":ski:":"\u{1F3BF}",
	":basketball:":"\u{1F3C0}",
	":checkered_flag:":"\u{1F3C1}",
	":snowboarder:":"\u{1F3C2}",
	":runner:":"\u{1F3C3}",
	":running :":"\u{1F3C3}",
	":surfer:":"\u{1F3C4}",
	":trophy:":"\u{1F3C6}",
	":football:":"\u{1F3C8}",
	":swimmer:":"\u{1F3CA}",
	":house:":"\u{1F3E0}",
	":house_with_garden:":"\u{1F3E1}",
	":office:":"\u{1F3E2}",
	":post_office:":"\u{1F3E3}",
	":hospital:":"\u{1F3E5}",
	":bank:":"\u{1F3E6}",
	":atm:":"\u{1F3E7}",
	":hotel:":"\u{1F3E8}",
	":love_hotel:":"\u{1F3E9}",
	":convenience_store:":"\u{1F3EA}",
	":school:":"\u{1F3EB}",
	":department_store:":"\u{1F3EC}",
	":factory:":"\u{1F3ED}",
	":izakaya_lantern:":"\u{1F3EE}",
	":lantern :":"\u{1F3EE}",
	":japanese_castle:":"\u{1F3EF}",
	":european_castle:":"\u{1F3F0}",
	":snail:":"\u{1F40C}",
	":snake:":"\u{1F40D}",
	":racehorse:":"\u{1F40E}",
	":sheep:":"\u{1F411}",
	":monkey:":"\u{1F412}",
	":chicken:":"\u{1F414}",
	":boar:":"\u{1F417}",
	":elephant:":"\u{1F418}",
	":octopus:":"\u{1F419}",
	":shell:":"\u{1F41A}",
	":bug:":"\u{1F41B}",
	":ant:":"\u{1F41C}",
	":bee:":"\u{1F41D}",
	":honeybee :":"\u{1F41D}",
	":beetle:":"\u{1F41E}",
	":fish:":"\u{1F41F}",
	":tropical_fish:":"\u{1F420}",
	":blowfish:":"\u{1F421}",
	":turtle:":"\u{1F422}",
	":hatching_chick:":"\u{1F423}",
	":baby_chick:":"\u{1F424}",
	":hatched_chick:":"\u{1F425}",
	":bird:":"\u{1F426}",
	":penguin:":"\u{1F427}",
	":koala:":"\u{1F428}",
	":poodle:":"\u{1F429}",
	":camel:":"\u{1F42B}",
	":dolphin:":"\u{1F42C}",
	":flipper :":"\u{1F42C}",
	":mouse:":"\u{1F42D}",
	":cow:":"\u{1F42E}",
	":tiger:":"\u{1F42F}",
	":rabbit:":"\u{1F430}",
	":cat:":"\u{1F431}",
	":dragon_face:":"\u{1F432}",
	":whale:":"\u{1F433}",
	":horse:":"\u{1F434}",
	":monkey_face:":"\u{1F435}",
	":dog:":"\u{1F436}",
	":pig:":"\u{1F437}",
	":frog:":"\u{1F438}",
	":hamster:":"\u{1F439}",
	":wolf:":"\u{1F43A}",
	":bear:":"\u{1F43B}",
	":panda_face:":"\u{1F43C}",
	":pig_nose:":"\u{1F43D}",
	":feet:":"\u{1F43E}",
	":paw_prints :":"\u{1F43E}",
	":eyes:":"\u{1F440}",
	":ear:":"\u{1F442}",
	":nose:":"\u{1F443}",
	":lips:":"\u{1F444}",
	":tongue:":"\u{1F445}",
	":point_up_2:":"\u{1F446}",
	":point_down:":"\u{1F447}",
	":point_left:":"\u{1F448}",
	":point_right:":"\u{1F449}",
	":punch:":"\u{1F44A}",
	":facepunch :":"\u{1F44A}",
	":wave:":"\u{1F44B}",
	":ok_hand:":"\u{1F44C}",
	":thumbsup:":"\u{1F44D}",
	":+1 :":"\u{1F44D}",
	":thumbsdown:":"\u{1F44E}",
	":-1 :":"\u{1F44E}",
	":clap:":"\u{1F44F}",
	":open_hands:":"\u{1F450}",
	":crown:":"\u{1F451}",
	":womans_hat:":"\u{1F452}",
	":eyeglasses:":"\u{1F453}",
	":necktie:":"\u{1F454}",
	":shirt:":"\u{1F455}",
	":tshirt :":"\u{1F455}",
	":jeans:":"\u{1F456}",
	":dress:":"\u{1F457}",
	":kimono:":"\u{1F458}",
	":bikini:":"\u{1F459}",
	":womans_clothes:":"\u{1F45A}",
	":purse:":"\u{1F45B}",
	":handbag:":"\u{1F45C}",
	":pouch:":"\u{1F45D}",
	":mans_shoe:":"\u{1F45E}",
	":shoe :":"\u{1F45E}",
	":athletic_shoe:":"\u{1F45F}",
	":high_heel:":"\u{1F460}",
	":sandal:":"\u{1F461}",
	":boot:":"\u{1F462}",
	":footprints:":"\u{1F463}",
	":bust_in_silhouette:":"\u{1F464}",
	":boy:":"\u{1F466}",
	":girl:":"\u{1F467}",
	":man:":"\u{1F468}",
	":woman:":"\u{1F469}",
	":family:":"\u{1F46A}",
	":couple:":"\u{1F46B}",
	":cop:":"\u{1F46E}",
	":dancers:":"\u{1F46F}",
	":bride_with_veil:":"\u{1F470}",
	":person_with_blond_hair:":"\u{1F471}",
	":man_with_gua_pi_mao:":"\u{1F472}",
	":man_with_turban:":"\u{1F473}",
	":older_man:":"\u{1F474}",
	":older_woman:":"\u{1F475}",
	":baby:":"\u{1F476}",
	":construction_worker:":"\u{1F477}",
	":princess:":"\u{1F478}",
	":japanese_ogre:":"\u{1F479}",
	":japanese_goblin:":"\u{1F47A}",
	":ghost:":"\u{1F47B}",
	":angel:":"\u{1F47C}",
	":alien:":"\u{1F47D}",
	":space_invader:":"\u{1F47E}",
	":imp:":"\u{1F47F}",
	":skull:":"\u{1F480}",
	":information_desk_person:":"\u{1F481}",
	":guardsman:":"\u{1F482}",
	":dancer:":"\u{1F483}",
	":lipstick:":"\u{1F484}",
	":nail_care:":"\u{1F485}",
	":massage:":"\u{1F486}",
	":haircut:":"\u{1F487}",
	":barber:":"\u{1F488}",
	":syringe:":"\u{1F489}",
	":pill:":"\u{1F48A}",
	":kiss:":"\u{1F48B}",
	":love_letter:":"\u{1F48C}",
	":ring:":"\u{1F48D}",
	":gem:":"\u{1F48E}",
	":couplekiss:":"\u{1F48F}",
	":bouquet:":"\u{1F490}",
	":couple_with_heart:":"\u{1F491}",
	":wedding:":"\u{1F492}",
	":heartbeat:":"\u{1F493}",
	":broken_heart:":"\u{1F494}",
	":two_hearts:":"\u{1F495}",
	":sparkling_heart:":"\u{1F496}",
	":heartpulse:":"\u{1F497}",
	":cupid:":"\u{1F498}",
	":blue_heart:":"\u{1F499}",
	":green_heart:":"\u{1F49A}",
	":yellow_heart:":"\u{1F49B}",
	":purple_heart:":"\u{1F49C}",
	":gift_heart:":"\u{1F49D}",
	":revolving_hearts:":"\u{1F49E}",
	":heart_decoration:":"\u{1F49F}",
	":diamond_shape_with_a_dot_inside:":"\u{1F4A0}",
	":bulb:":"\u{1F4A1}",
	":anger:":"\u{1F4A2}",
	":bomb:":"\u{1F4A3}",
	":zzz:":"\u{1F4A4}",
	":boom:":"\u{1F4A5}",
	":collision :":"\u{1F4A5}",
	":sweat_drops:":"\u{1F4A6}",
	":droplet:":"\u{1F4A7}",
	":dash:":"\u{1F4A8}",
	":poop:":"\u{1F4A9}",
	":shit hankey :":"\u{1F4A9}",
	":muscle:":"\u{1F4AA}",
	":dizzy:":"\u{1F4AB}",
	":speech_balloon:":"\u{1F4AC}",
	":white_flower:":"\u{1F4AE}",
	":100:":"\u{1F4AF}",
	":moneybag:":"\u{1F4B0}",
	":currency_exchange:":"\u{1F4B1}",
	":heavy_dollar_sign:":"\u{1F4B2}",
	":credit_card:":"\u{1F4B3}",
	":yen:":"\u{1F4B4}",
	":dollar:":"\u{1F4B5}",
	":money_with_wings:":"\u{1F4B8}",
	":chart:":"\u{1F4B9}",
	":seat:":"\u{1F4BA}",
	":computer:":"\u{1F4BB}",
	":briefcase:":"\u{1F4BC}",
	":minidisc:":"\u{1F4BD}",
	":floppy_disk:":"\u{1F4BE}",
	":cd:":"\u{1F4BF}",
	":dvd:":"\u{1F4C0}",
	":file_folder:":"\u{1F4C1}",
	":open_file_folder:":"\u{1F4C2}",
	":page_with_curl:":"\u{1F4C3}",
	":page_facing_up:":"\u{1F4C4}",
	":date:":"\u{1F4C5}",
	":calendar:":"\u{1F4C6}",
	":card_index:":"\u{1F4C7}",
	":chart_with_upwards_trend:":"\u{1F4C8}",
	":chart_with_downwards_trend:":"\u{1F4C9}",
	":bar_chart:":"\u{1F4CA}",
	":clipboard:":"\u{1F4CB}",
	":pushpin:":"\u{1F4CC}",
	":round_pushpin:":"\u{1F4CD}",
	":paperclip:":"\u{1F4CE}",
	":straight_ruler:":"\u{1F4CF}",
	":triangular_ruler:":"\u{1F4D0}",
	":bookmark_tabs:":"\u{1F4D1}",
	":ledger:":"\u{1F4D2}",
	":notebook:":"\u{1F4D3}",
	":notebook_with_decorative_cover:":"\u{1F4D4}",
	":closed_book:":"\u{1F4D5}",
	":book:":"\u{1F4D6}",
	":open_book :":"\u{1F4D6}",
	":green_book:":"\u{1F4D7}",
	":blue_book:":"\u{1F4D8}",
	":orange_book:":"\u{1F4D9}",
	":books:":"\u{1F4DA}",
	":name_badge:":"\u{1F4DB}",
	":scroll:":"\u{1F4DC}",
	":pencil:":"\u{1F4DD}",
	":memo :":"\u{1F4DD}",
	":telephone_receiver:":"\u{1F4DE}",
	":pager:":"\u{1F4DF}",
	":fax:":"\u{1F4E0}",
	":satellite:":"\u{1F4E1}",
	":loudspeaker:":"\u{1F4E2}",
	":mega:":"\u{1F4E3}",
	":outbox_tray:":"\u{1F4E4}",
	":inbox_tray:":"\u{1F4E5}",
	":package:":"\u{1F4E6}",
	":e-mail:":"\u{1F4E7}",
	":incoming_envelope:":"\u{1F4E8}",
	":envelope_with_arrow:":"\u{1F4E9}",
	":mailbox_closed:":"\u{1F4EA}",
	":mailbox:":"\u{1F4EB}",
	":postbox:":"\u{1F4EE}",
	":newspaper:":"\u{1F4F0}",
	":iphone:":"\u{1F4F1}",
	":calling:":"\u{1F4F2}",
	":vibration_mode:":"\u{1F4F3}",
	":mobile_phone_off:":"\u{1F4F4}",
	":signal_strength:":"\u{1F4F6}",
	":camera:":"\u{1F4F7}",
	":video_camera:":"\u{1F4F9}",
	":tv:":"\u{1F4FA}",
	":radio:":"\u{1F4FB}",
	":vhs:":"\u{1F4FC}",
	":arrows_clockwise:":"\u{1F503}",
	":loud_sound:":"\u{1F50A}",
	":battery:":"\u{1F50B}",
	":electric_plug:":"\u{1F50C}",
	":mag:":"\u{1F50D}",
	":mag_right:":"\u{1F50E}",
	":lock_with_ink_pen:":"\u{1F50F}",
	":closed_lock_with_key:":"\u{1F510}",
	":key:":"\u{1F511}",
	":lock:":"\u{1F512}",
	":unlock:":"\u{1F513}",
	":bell:":"\u{1F514}",
	":bookmark:":"\u{1F516}",
	":link:":"\u{1F517}",
	":radio_button:":"\u{1F518}",
	":back:":"\u{1F519}",
	":end:":"\u{1F51A}",
	":on:":"\u{1F51B}",
	":soon:":"\u{1F51C}",
	":top:":"\u{1F51D}",
	":underage:":"\u{1F51E}",
	":keycap_ten:":"\u{1F51F}",
	":capital_abcd:":"\u{1F520}",
	":abcd:":"\u{1F521}",
	":1234:":"\u{1F522}",
	":symbols:":"\u{1F523}",
	":abc:":"\u{1F524}",
	":fire:":"\u{1F525}",
	":flashlight:":"\u{1F526}",
	":wrench:":"\u{1F527}",
	":hammer:":"\u{1F528}",
	":nut_and_bolt:":"\u{1F529}",
	":knife:":"\u{1F52A}",
	":hocho :":"\u{1F52A}",
	":gun:":"\u{1F52B}",
	":crystal_ball:":"\u{1F52E}",
	":six_pointed_star:":"\u{1F52F}",
	":beginner:":"\u{1F530}",
	":trident:":"\u{1F531}",
	":black_square_button:":"\u{1F532}",
	":white_square_button:":"\u{1F533}",
	":red_circle:":"\u{1F534}",
	":large_blue_circle:":"\u{1F535}",
	":large_orange_diamond:":"\u{1F536}",
	":large_blue_diamond:":"\u{1F537}",
	":small_orange_diamond:":"\u{1F538}",
	":small_blue_diamond:":"\u{1F539}",
	":small_red_triangle:":"\u{1F53A}",
	":small_red_triangle_down:":"\u{1F53B}",
	":arrow_up_small:":"\u{1F53C}",
	":arrow_down_small:":"\u{1F53D}",
	":clock1:":"\u{1F550}",
	":clock2:":"\u{1F551}",
	":clock3:":"\u{1F552}",
	":clock4:":"\u{1F553}",
	":clock5:":"\u{1F554}",
	":clock6:":"\u{1F555}",
	":clock7:":"\u{1F556}",
	":clock8:":"\u{1F557}",
	":clock9:":"\u{1F558}",
	":clock10:":"\u{1F559}",
	":clock11:":"\u{1F55A}",
	":clock12:":"\u{1F55B}",
	":mount_fuji:":"\u{1F5FB}",
	":tokyo_tower:":"\u{1F5FC}",
	":statue_of_liberty:":"\u{1F5FD}",
	":japan:":"\u{1F5FE}",
	":moyai:":"\u{1F5FF}",
	":grin:":"\u{1F601}",
	":joy:":"\u{1F602}",
	":smiley:":"\u{1F603}",
	":smile:":"\u{1F604}",
	":sweat_smile:":"\u{1F605}",
	":laughing:":"\u{1F606}",
	":satisfied :":"\u{1F606}",
	":wink:":"\u{1F609}",
	":blush:":"\u{1F60A}",
	":yum:":"\u{1F60B}",
	":relieved:":"\u{1F60C}",
	":heart_eyes:":"\u{1F60D}",
	":smirk:":"\u{1F60F}",
	":unamused:":"\u{1F612}",
	":sweat:":"\u{1F613}",
	":pensive:":"\u{1F614}",
	":confounded:":"\u{1F616}",
	":kissing_heart:":"\u{1F618}",
	":kissing_closed_eyes:":"\u{1F61A}",
	":stuck_out_tongue_winking_eye:":"\u{1F61C}",
	":stuck_out_tongue_closed_eyes:":"\u{1F61D}",
	":disappointed:":"\u{1F61E}",
	":angry:":"\u{1F620}",
	":rage:":"\u{1F621}",
	":cry:":"\u{1F622}",
	":persevere:":"\u{1F623}",
	":triumph:":"\u{1F624}",
	":disappointed_relieved:":"\u{1F625}",
	":fearful:":"\u{1F628}",
	":weary:":"\u{1F629}",
	":sleepy:":"\u{1F62A}",
	":tired_face:":"\u{1F62B}",
	":sob:":"\u{1F62D}",
	":cold_sweat:":"\u{1F630}",
	":scream:":"\u{1F631}",
	":astonished:":"\u{1F632}",
	":flushed:":"\u{1F633}",
	":dizzy_face:":"\u{1F635}",
	":mask:":"\u{1F637}",
	":smile_cat:":"\u{1F638}",
	":joy_cat:":"\u{1F639}",
	":smiley_cat:":"\u{1F63A}",
	":heart_eyes_cat:":"\u{1F63B}",
	":smirk_cat:":"\u{1F63C}",
	":kissing_cat:":"\u{1F63D}",
	":pouting_cat:":"\u{1F63E}",
	":crying_cat_face:":"\u{1F63F}",
	":scream_cat:":"\u{1F640}",
	":no_good:":"\u{1F645}",
	":ok_woman:":"\u{1F646}",
	":bow:":"\u{1F647}",
	":see_no_evil:":"\u{1F648}",
	":hear_no_evil:":"\u{1F649}",
	":speak_no_evil:":"\u{1F64A}",
	":raising_hand:":"\u{1F64B}",
	":raised_hands:":"\u{1F64C}",
	":person_frowning:":"\u{1F64D}",
	":person_with_pouting_face:":"\u{1F64E}",
	":pray:":"\u{1F64F}",
	":rocket:":"\u{1F680}",
	":railway_car:":"\u{1F683}",
	":bullettrain_side:":"\u{1F684}",
	":bullettrain_front:":"\u{1F685}",
	":metro:":"\u{1F687}",
	":station:":"\u{1F689}",
	":bus:":"\u{1F68C}",
	":busstop:":"\u{1F68F}",
	":ambulance:":"\u{1F691}",
	":fire_engine:":"\u{1F692}",
	":police_car:":"\u{1F693}",
	":taxi:":"\u{1F695}",
	":red_car:":"\u{1F697}",
	":car :":"\u{1F697}",
	":blue_car:":"\u{1F699}",
	":truck:":"\u{1F69A}",
	":ship:":"\u{1F6A2}",
	":speedboat:":"\u{1F6A4}",
	":traffic_light:":"\u{1F6A5}",
	":construction:":"\u{1F6A7}",
	":rotating_light:":"\u{1F6A8}",
	":triangular_flag_on_post:":"\u{1F6A9}",
	":door:":"\u{1F6AA}",
	":no_entry_sign:":"\u{1F6AB}",
	":smoking:":"\u{1F6AC}",
	":no_smoking:":"\u{1F6AD}",
	":bike:":"\u{1F6B2}",
	":walking:":"\u{1F6B6}",
	":mens:":"\u{1F6B9}",
	":womens:":"\u{1F6BA}",
	":restroom:":"\u{1F6BB}",
	":baby_symbol:":"\u{1F6BC}",
	":toilet:":"\u{1F6BD}",
	":wc:":"\u{1F6BE}",
	":bath:":"\u{1F6C0}",
	":articulated_lorry:":"\u{1F69B}",
	":kissing_smiling_eyes:":"\u{1F619}",
	":pear:":"\u{1F350}",
	":bicyclist:":"\u{1F6B4}",
	":rabbit2:":"\u{1F407}",
	":clock830:":"\u{1F563}",
	":train:":"\u{1F68B}",
	":oncoming_automobile:":"\u{1F698}",
	":expressionless:":"\u{1F611}",
	":smiling_imp:":"\u{1F608}",
	":frowning:":"\u{1F626}",
	":no_mouth:":"\u{1F636}",
	":baby_bottle:":"\u{1F37C}",
	":non-potable_water:":"\u{1F6B1}",
	":open_mouth:":"\u{1F62E}",
	":last_quarter_moon_with_face:":"\u{1F31C}",
	":do_not_litter:":"\u{1F6AF}",
	":sunglasses:":"\u{1F60E}",
	":loop:":"\u{27BF}",
	":last_quarter_moon:":"\u{1F317}",
	":grinning:":"\u{1F600}",
	":euro:":"\u{1F4B6}",
	":clock330:":"\u{1F55E}",
	":telescope:":"\u{1F52D}",
	":globe_with_meridians:":"\u{1F310}",
	":postal_horn:":"\u{1F4EF}",
	":stuck_out_tongue:":"\u{1F61B}",
	":clock1030:":"\u{1F565}",
	":pound:":"\u{1F4B7}",
	":two_men_holding_hands:":"\u{1F46C}",
	":tiger2:":"\u{1F405}",
	":anguished:":"\u{1F627}",
	":vertical_traffic_light:":"\u{1F6A6}",
	":confused:":"\u{1F615}",
	":repeat:":"\u{1F501}",
	":oncoming_police_car:":"\u{1F694}",
	":tram:":"\u{1F68A}",
	":dragon:":"\u{1F409}",
	":earth_americas:":"\u{1F30E}",
	":rugby_football:":"\u{1F3C9}",
	":left_luggage:":"\u{1F6C5}",
	":sound:":"\u{1F509}",
	":clock630:":"\u{1F561}",
	":dromedary_camel:":"\u{1F42A}",
	":oncoming_bus:":"\u{1F68D}",
	":horse_racing:":"\u{1F3C7}",
	":rooster:":"\u{1F413}",
	":rowboat:":"\u{1F6A3}",
	":customs:":"\u{1F6C3}",
	":repeat_one:":"\u{1F502}",
	":waxing_crescent_moon:":"\u{1F312}",
	":mountain_railway:":"\u{1F69E}",
	":clock930:":"\u{1F564}",
	":put_litter_in_its_place:":"\u{1F6AE}",
	":arrows_counterclockwise:":"\u{1F504}",
	":clock130:":"\u{1F55C}",
	":goat:":"\u{1F410}",
	":pig2:":"\u{1F416}",
	":innocent:":"\u{1F607}",
	":no_bicycles:":"\u{1F6B3}",
	":light_rail:":"\u{1F688}",
	":whale2:":"\u{1F40B}",
	":train2:":"\u{1F686}",
	":earth_africa:":"\u{1F30D}",
	":shower:":"\u{1F6BF}",
	":waning_gibbous_moon:":"\u{1F316}",
	":steam_locomotive:":"\u{1F682}",
	":cat2:":"\u{1F408}",
	":tractor:":"\u{1F69C}",
	":thought_balloon:":"\u{1F4AD}",
	":two_women_holding_hands:":"\u{1F46D}",
	":full_moon_with_face:":"\u{1F31D}",
	":mouse2:":"\u{1F401}",
	":clock430:":"\u{1F55F}",
	":worried:":"\u{1F61F}",
	":rat:":"\u{1F400}",
	":ram:":"\u{1F40F}",
	":dog2:":"\u{1F415}",
	":kissing:":"\u{1F617}",
	":helicopter:":"\u{1F681}",
	":clock1130:":"\u{1F566}",
	":no_mobile_phones:":"\u{1F4F5}",
	":european_post_office:":"\u{1F3E4}",
	":ox:":"\u{1F402}",
	":mountain_cableway:":"\u{1F6A0}",
	":sleeping:":"\u{1F634}",
	":cow2:":"\u{1F404}",
	":minibus:":"\u{1F690}",
	":clock730:":"\u{1F562}",
	":aerial_tramway:":"\u{1F6A1}",
	":speaker:":"\u{1F508}",
	":no_bell:":"\u{1F515}",
	":mailbox_with_mail:":"\u{1F4EC}",
	":no_pedestrians:":"\u{1F6B7}",
	":microscope:":"\u{1F52C}",
	":bathtub:":"\u{1F6C1}",
	":suspension_railway:":"\u{1F69F}",
	":crocodile:":"\u{1F40A}",
	":mountain_bicyclist:":"\u{1F6B5}",
	":waning_crescent_moon:":"\u{1F318}",
	":monorail:":"\u{1F69D}",
	":children_crossing:":"\u{1F6B8}",
	":clock230:":"\u{1F55D}",
	":busts_in_silhouette:":"\u{1F465}",
	":mailbox_with_no_mail:":"\u{1F4ED}",
	":leopard:":"\u{1F406}",
	":deciduous_tree:":"\u{1F333}",
	":oncoming_taxi:":"\u{1F696}",
	":lemon:":"\u{1F34B}",
	":mute:":"\u{1F507}",
	":baggage_claim:":"\u{1F6C4}",
	":twisted_rightwards_arrows:":"\u{1F500}",
	":sun_with_face:":"\u{1F31E}",
	":trolleybus:":"\u{1F68E}",
	":evergreen_tree:":"\u{1F332}",
	":passport_control:":"\u{1F6C2}",
	":new_moon_with_face:":"\u{1F31A}",
	":potable_water:":"\u{1F6B0}",
	":high_brightness:":"\u{1F506}",
	":low_brightness:":"\u{1F505}",
	":clock530:":"\u{1F560}",
	":hushed:":"\u{1F62F}",
	":grimacing:":"\u{1F62C}",
	":water_buffalo:":"\u{1F403}",
	":neutral_face:":"\u{1F610}",
	":clock1230:":"\u{1F567}",
};